Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593648 - sasl testing cannot be fully automated
Summary: sasl testing cannot be fully automated
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: Development
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: mick
QA Contact: MRG Quality Engineering
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 11:55 UTC by mick
Modified: 2010-09-09 17:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-09 17:12:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description mick 2010-05-19 11:55:38 UTC
Currently, the Cyrus-SASL library code that we use reads its configuration information only from the standard installed locations such as /etc/sasl2 .
Because of this, our testing cannot run without messing with the standard location, which is probably not what our users or developers are expecting.  Not to mention that doing so probably requires root access...

This means that, currently, we do not automate SASL-related testing.  It can only be done on systems that we have manually prepared in advance.

Fix this so that SASL-related tests can run like all of our other "make check" tests.

Comment 1 mick 2010-05-24 18:40:09 UTC
fixed by svn rev 947748.

new test run_sasl_authentication_test created in "make check"
and
run_sasl_authentication_soak in "make check-long"

Comment 2 Gordon Sim 2010-09-09 17:12:12 UTC
This change was made upstream; not directly relevant to customers or releases so closing.


Note You need to log in before you can comment on or make changes to this bug.